#include <evo.h>
#include <startup.h>
#include "resources.h"


void DOS(u8 pg, u8 reg_a, u16 reg_bc, u16 reg_de, u16 reg_hl)
{
	_asm
	ld a,4 (ix)
	ex af,af
	ld a,5 (ix)
	ld c,6 (ix)
	ld b,7 (ix)
	ld e,8 (ix)
	ld d,9 (ix)
	ld l,10 (ix)
	ld h,11 (ix)
	call #_DOS_3D13
	_endasm;
}


void main(void)
{

	/*_asm
	ld a,#0x7f-0x3f ;page 0x3f
	ex af,af
	ld hl,#0x8000 ;begin of page
	ld de,#0x0000 ;track,sector
	ld bc,#0x4005 ;load 0x40 blocks
	call #_DOS_3D13
	_endasm;*/
	DOS(0x7f-0x3f/*pg*/,0/*A*/,0x4005/*BC=load 0x40 blocks*/,0x0000/*DE=track,sector*/,0x8000/*HL=begin of page*/);

	while(1)
	{
	};
	
}